# Created by pyp2rpm-3.2.2
%global pypi_name ratelimitingfilter

Name:           python-%{pypi_name}
Version:        1.5
Release:        2%{?dist}
Summary:        A rate limiting filter for the Python logging system

License:        MIT
URL:            https://github.com/wkeeling/ratelimitingfilter
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools

%description
The RateLimitingFilter is a filter for the Python logging system that allows
you to restrict the rate at which messages can pass through your logging
handlers. The filter can be useful if you're using a handler such as Python's
logging.handlers.SMTPHandler to send error notification emails.
Error notification emails provide a useful means of keeping an eye on.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The RateLimitingFilter is a filter for the Python logging system that allows
you to restrict the rate at which messages can pass through your logging
handlers. The filter can be useful if you're using a handler such as Python's
logging.handlers.SMTPHandler to send error notification emails.
Error notification emails provide a useful means of keeping an eye on.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Apr 28 2022 Martin Kutlak <mkfedora@outlook.com> - 1.5-2
- Fix name of spec file

* Thu Apr 28 2022 Martin Kutlak <mkfedora@outlook.com> - 1.5-1
- Update to latest upstream release 1.5

* Tue Nov 24 2020 Martin Kutlak <mkfedora@outlook.com> - 1.1-4
- Drop python2 from spec file
- Fix python3 glob

* Thu Aug 01 2019 Martin Kutlak <mkutlak@redhat.com> - 1.1-3
- Drop python2 from epel8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 06 2019 Martin Kutlak <mkutlak@redhat.com> - 1.1-1
- Update to upstream version 1.1.
- Remove check section as it is not provided in sources.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6-3
- Rebuilt for Python 3.7

* Wed Mar 14 2018 Martin Kutlak <mkutlak@redhat.com> - 0.6-1
- Drop python2 subpackage from Fedora 29+

* Wed Mar 14 2018 Martin Kutlak <mkutlak@redhat.com> - 0.6-1
- Initial package.
